import axios from "axios";
import config from "./axiosConfig";

const request = axios.create(config);

/**
 * 请求拦截器
 */
request.interceptors.request.use((config) => {
  // 检查是否有 token 并添加到请求头
  // const token = null;
  // if (token) {
  //     config.headers.token = token;
  // }
  return config;
}, (error) => {
  // 处理请求错误
  console.error('请求报错:', error);
  return Promise.reject(error);
});

/**
 * 响应拦截器
 */
request.interceptors.response.use((response) => {
  // 检查响应状态码
  if (response.status === 200) {
    return response.data;
  } else {
    throw new Error('网络接口报错');
  }
}, (error) => {
  // 处理响应错误
  console.error('Response interceptor error:', error);
  return Promise.reject(error);
});

export default request;
